unit Unit1;

{$mode Delphi}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  AdDraws, AdTypes, AdClasses, AdCanvas, math;

type

  { TForm1 }

  TForm1 = class(TForm)
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    AdDraw:TAdDraw;
    rota: Double;
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  AdDraw := TAdDraw.Create(self);
  AdDraw.DllName := 'AndorraOGLLaz.dll';
  AdDraw.Initialize;
  rota:=0;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  AdDraw.Free;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
    AdDraw.ClearSurface(0);
  AdDraw.BeginScene;
  with AdDraw.Canvas do
  begin
    Pen.Color:=ColorToAdColor(ColorToRGB(clHighlight));
    Pen.Style:=apSolid;
    Brush.Style:=abClear;
    Pen.Width:=4;
    Ellipse(0, 0, 100, 100);
    Ellipse(200, 0, 300, 100);
    rota:=rota+0.1;
    Line(50 + trunc(50*cos(rota)),50 + trunc(50*sin(rota)), 250- trunc(50*cos(rota)), 50-trunc(50*sin(rota)));
    Release;
  end;
  AdDraw.EndScene;
  AdDraw.Flip;
end;

end.

